org.keycloak.federation.kerberos

## Class CommonKerberosConfig

- java.lang.Object
- - org.keycloak.federation.kerberos.CommonKerberosConfig

- Direct Known Subclasses:
    KerberosConfig, LDAPProviderKerberosConfig

      public abstract class CommonKerberosConfig
      extends Object

  Common configuration useful for all providers
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MultivaluedHashMap<String,String>` | `userStorageConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonKerberosConfig(ComponentModel componentModel)`
    `CommonKerberosConfig(ComponentRepresentation componentRep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MultivaluedHashMap<String,String>` | `getConfig()`
    `String` | `getKerberosRealm()`
    `String` | `getKeyTab()`
    `String` | `getServerPrincipal()`
    `boolean` | `isAllowKerberosAuthentication()`
    `boolean` | `isDebug()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userStorageConfig

          protected MultivaluedHashMap<String,String> userStorageConfig

  - ### Constructor Detail

    - #### CommonKerberosConfig

          public CommonKerberosConfig(ComponentModel componentModel)

    - #### CommonKerberosConfig

          public CommonKerberosConfig(ComponentRepresentation componentRep)

  - ### Method Detail

    - #### getConfig

          protected MultivaluedHashMap<String,String> getConfig()

    - #### isAllowKerberosAuthentication

          public boolean isAllowKerberosAuthentication()

    - #### getKerberosRealm

          public String getKerberosRealm()

    - #### getServerPrincipal

          public String getServerPrincipal()

    - #### getKeyTab

          public String getKeyTab()

    - #### isDebug

          public boolean isDebug()

Copyright © 2021 JBoss by Red Hat. All rights reserved.